Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# TAO_CEC_ProxyPullConsumer Class Reference

ProxyPullConsumer. More...

`#include <CEC_ProxyPullConsumer.h>`

Collaboration diagram for TAO_CEC_ProxyPullConsumer:

[legend]
List of all members.

## Public Types
typedef CosEventChannelAdmin::ProxyPullConsumer_ptr | _ptr_type
typedef CosEventChannelAdmin::ProxyPullConsumer_var | _var_type
## Public Methods
| TAO_CEC_ProxyPullConsumer (TAO_CEC_EventChannel *event_channel)
| constructor... More...
virtual | ~TAO_CEC_ProxyPullConsumer (void)
| destructor... More...
virtual CosEventChannelAdmin::ProxyPullConsumer_ptr | activate (ACE_ENV_SINGLE_ARG_DECL) throw (CORBA::SystemException)
| Activate in the POA. More...
virtual void | deactivate (ACE_ENV_SINGLE_ARG_DECL) throw (CORBA::SystemException)
| Deactivate from the POA. More...
CORBA::Boolean | is_connected (void) const
| Return 0 if no supplier is connected... More...
CosEventComm::PullSupplier_ptr | supplier (void) const
| Return the consumer object reference. It returns nil() if it has not connected yet. More...
CORBA::Any * | try_pull_from_supplier (CORBA::Boolean_out has_event ACE_ENV_ARG_DECL)
| Pulls from the supplier, verifies that it is connected. More...
CORBA::Any * | pull_from_supplier (ACE_ENV_SINGLE_ARG_DECL)
CORBA::Boolean | supplier_non_existent (CORBA::Boolean_out disconnected ACE_ENV_ARG_DECL)
| Invoke the _non_existent() pseudo-operation on the supplier. More...
virtual void | shutdown (ACE_ENV_SINGLE_ARG_DECL_NOT_USED)
| The event channel is shutting down. More...
CORBA::ULong | _incr_refcnt (void)
| Increment and decrement the reference count. More...
CORBA::ULong | _decr_refcnt (void)
virtual void | connect_pull_supplier (CosEventComm::PullSupplier_ptr pull_supplier ACE_ENV_ARG_DECL_NOT_USED) throw (CORBA::SystemException, CosEventChannelAdmin::AlreadyConnected)
virtual void | disconnect_pull_consumer (ACE_ENV_SINGLE_ARG_DECL_NOT_USED) throw (CORBA::SystemException)
virtual PortableServer::POA_ptr | _default_POA (ACE_ENV_SINGLE_ARG_DECL)
virtual void | _add_ref (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS)
virtual void | _remove_ref (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS)
## Protected Methods
void | supplier (CosEventComm::PullSupplier_ptr supplier)
| Set the supplier, used by some implementations to change the policies used when invoking operations on the supplier. More...
void | supplier_i (CosEventComm::PullSupplier_ptr supplier)
CORBA::Boolean | is_connected_i (void) const
| The private version (without locking) of is_connected(). More...
void | cleanup_i (void)
| Release the supplier. More...
## Private Attributes
TAO_CEC_EventChannel * | event_channel_
| The supplier admin, used for activation and memory managment. More...
ACE_Lock * | lock_
| The locking strategy. More...
CORBA::ULong | refcount_
| The reference count. More...
CosEventComm::PullSupplier_var | supplier_
| The supplier.... More...
PortableServer::POA_var | default_POA_
| Store the default POA. More...

## Detailed Description

ProxyPullConsumer.

Implement the CosEventChannelAdmin::ProxyPullConsumer interface, remember that this class is used to communicate with a PullSupplier, so, in effect, this is the ambassador for a supplier inside the event channel. = MEMORY MANAGMENT The object commits suicide when disconnect_pull_consumer() is called.

## Member Typedef Documentation

typedef CosEventChannelAdmin::ProxyPullConsumer_ptr TAO_CEC_ProxyPullConsumer::_ptr_type

typedef CosEventChannelAdmin::ProxyPullConsumer_var TAO_CEC_ProxyPullConsumer::_var_type

## Constructor & Destructor Documentation

TAO_CEC_ProxyPullConsumer::TAO_CEC_ProxyPullConsumer | ( | TAO_CEC_EventChannel * | ec | ) |

| constructor...

TAO_CEC_ProxyPullConsumer::~TAO_CEC_ProxyPullConsumer | ( | void |  | ) | `[virtual]`

| destructor...

## Member Function Documentation

void TAO_CEC_ProxyPullConsumer::_add_ref | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | `[virtual]`

CORBA::ULong TAO_CEC_ProxyPullConsumer::_decr_refcnt | ( | void |  | ) |

PortableServer::POA_ptr TAO_CEC_ProxyPullConsumer::_default_POA | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | `[virtual]`

CORBA::ULong TAO_CEC_ProxyPullConsumer::_incr_refcnt | ( | void |  | ) |

| Increment and decrement the reference count.

void TAO_CEC_ProxyPullConsumer::_remove_ref | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | `[virtual]`

CosEventChannelAdmin::ProxyPullConsumer_ptr TAO_CEC_ProxyPullConsumer::activate | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | throw (CORBA::SystemException)`[virtual]`

| Activate in the POA.

void TAO_CEC_ProxyPullConsumer::cleanup_i | ( | void |  | ) | `[protected]`

| Release the supplier.

void TAO_CEC_ProxyPullConsumer::connect_pull_supplier | ( | CosEventComm::PullSupplier_ptr pull_supplier | ACE_ENV_ARG_DECL | ) | throw (CORBA::SystemException, CosEventChannelAdmin::AlreadyConnected)`[virtual]`

void TAO_CEC_ProxyPullConsumer::deactivate | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | throw (CORBA::SystemException)`[virtual]`

| Deactivate from the POA.

void TAO_CEC_ProxyPullConsumer::disconnect_pull_consumer | ( | ACE_ENV_SINGLE_ARG_DECL_NOT_USED |  | ) | throw (CORBA::SystemException)`[virtual]`

ACE_INLINE CORBA::Boolean TAO_CEC_ProxyPullConsumer::is_connected | ( | void |  | ) | const

| Return 0 if no supplier is connected...

ACE_INLINE CORBA::Boolean TAO_CEC_ProxyPullConsumer::is_connected_i | ( | void |  | ) | const`[protected]`

| The private version (without locking) of is_connected().

CORBA::Any * TAO_CEC_ProxyPullConsumer::pull_from_supplier | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) |

void TAO_CEC_ProxyPullConsumer::shutdown | ( | ACE_ENV_SINGLE_ARG_DECL_NOT_USED |  | ) | `[virtual]`

| The event channel is shutting down.

ACE_INLINE void TAO_CEC_ProxyPullConsumer::supplier | ( | CosEventComm::PullSupplier_ptr | supplier | ) | `[protected]`

| Set the supplier, used by some implementations to change the policies used when invoking operations on the supplier.

ACE_INLINE CosEventComm::PullSupplier_ptr TAO_CEC_ProxyPullConsumer::supplier | ( | void |  | ) | const

| Return the consumer object reference. It returns nil() if it has not connected yet.

ACE_INLINE void TAO_CEC_ProxyPullConsumer::supplier_i | ( | CosEventComm::PullSupplier_ptr | supplier | ) | `[protected]`

CORBA::Boolean TAO_CEC_ProxyPullConsumer::supplier_non_existent | ( | CORBA::Boolean_out disconnected | ACE_ENV_ARG_DECL | ) |

| Invoke the _non_existent() pseudo-operation on the supplier. If it is disconnected then it returns true and sets the <disconnected> flag.

CORBA::Any * TAO_CEC_ProxyPullConsumer::try_pull_from_supplier | ( | CORBA::Boolean_out has_event | ACE_ENV_ARG_DECL | ) |

| Pulls from the supplier, verifies that it is connected.

## Member Data Documentation

PortableServer::POA_var TAO_CEC_ProxyPullConsumer::default_POA_`[private]`

| Store the default POA.

TAO_CEC_EventChannel* TAO_CEC_ProxyPullConsumer::event_channel_`[private]`

| The supplier admin, used for activation and memory managment.

ACE_Lock* TAO_CEC_ProxyPullConsumer::lock_`[private]`

| The locking strategy.

CORBA::ULong TAO_CEC_ProxyPullConsumer::refcount_`[private]`

| The reference count.

CosEventComm::PullSupplier_var TAO_CEC_ProxyPullConsumer::supplier_`[private]`

| The supplier....

The documentation for this class was generated from the following files:

- CEC_ProxyPullConsumer.h
- CEC_ProxyPullConsumer.cpp
- CEC_ProxyPullConsumer.i